- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MinCPUNumber Class Reference

the MinCPUNumber class. More...

`#include <OSOption.h>`

Collaboration diagram for MinCPUNumber:

[legend]
List of all members.

## Public Member Functions
| MinCPUNumber ()
| Default constructor.
| ~MinCPUNumber ()
| Class destructor.
bool | IsEqual (MinCPUNumber *that)
| A function to check for the equality of two objects.
## Public Attributes
std::string | description
| additional description about the CPU
int | value
| the minimum number of CPUs required

## Detailed Description

the MinCPUNumber class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema. This class has been superseded as of version 2.3 by the class CPUNumber (see OSGeneral.h)

Definition at line 460 of file OSOption.h.

## Constructor & Destructor Documentation

MinCPUNumber::MinCPUNumber | ( |  | ) |

Default constructor.

Definition at line 199 of file OSOption.cpp.

MinCPUNumber::~MinCPUNumber | ( |  | ) |

Class destructor.

Definition at line 208 of file OSOption.cpp.

## Member Function Documentation

bool MinCPUNumber::IsEqual | ( | MinCPUNumber * | that | ) |

A function to check for the equality of two objects.

Definition at line 8641 of file OSOption.cpp.

References description, and value.

## Member Data Documentation

std::string MinCPUNumber::description

additional description about the CPU

Definition at line 464 of file OSOption.h.

Referenced by IsEqual().

int MinCPUNumber::value

the minimum number of CPUs required

Definition at line 467 of file OSOption.h.

Referenced by IsEqual().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp